'use client'

import React from 'react'
import { motion } from 'framer-motion'

interface InnerHeroBanner {
  companyName: string
  tagline: string
}

const InnerBanner: React.FC<InnerHeroBanner> = ({ companyName, tagline }) => {
  return (
    <section className="auh-hero py-20 px-4">
      <motion.h1 
        className="auh-title text-4xl md:text-6xl font-bold text-center mb-6 bg-clip-text text-transparent bg-gradient-to-r from-blue-500 to-teal-400"
        initial={{ opacity: 0, y: -20 }}
        animate={{ opacity: 1, y: 0 }}
        transition={{ duration: 0.5 }}
      >
        About {companyName}
      </motion.h1>
      <motion.p 
        className="auh-subtitle text-xl text-center text-gray-600 max-w-3xl mx-auto"
        initial={{ opacity: 0, y: 20 }}
        animate={{ opacity: 1, y: 0 }}
        transition={{ duration: 0.5, delay: 0.2 }}
      >
        {tagline}
      </motion.p>
    </section>
  )
}

export default InnerBanner